if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q /usr/share/applications >/dev/null 2>&1
fi
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache /usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
chroot . /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas/ > /dev/null 2>&1
chroot . /usr/bin/gio-querymodules /usr/lib64/gio/modules/ > /dev/null 2>&1
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
( cd usr/share/help/ca/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/ca/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/ca/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/ca/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/cs/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/cs/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/cs/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/cs/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/da/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/da/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/da/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/da/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/de/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/de/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/de/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/de/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/el/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/el/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/el/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/el/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/es/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/es/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/es/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/es/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/eu/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/eu/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/eu/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/eu/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/fr/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/fr/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/fr/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/fr/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/gl/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/gl/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/gl/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/gl/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/hu/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/hu/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/hu/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/hu/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/id/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/id/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/id/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/id/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/pl/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/pl/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/pl/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/pl/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/pt_BR/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/pt_BR/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/pt_BR/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/pt_BR/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/ru/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/ru/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/ru/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/ru/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/sv/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/sv/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/sv/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/sv/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
( cd usr/share/help/uk/seahorse/media ; rm -rf dialog-password-symbolic.svg )
( cd usr/share/help/uk/seahorse/media ; ln -sf ../../../C/seahorse/media/dialog-password-symbolic.svg dialog-password-symbolic.svg )
( cd usr/share/help/uk/seahorse/media ; rm -rf org.gnome.seahorse.Application.svg )
( cd usr/share/help/uk/seahorse/media ; ln -sf ../../../C/seahorse/media/org.gnome.seahorse.Application.svg org.gnome.seahorse.Application.svg )
